BcDSAContentVerifierProviderBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator.bc

## Class BcDSAContentVerifierProviderBuilder

- java.lang.Object
- - org.bouncycastle.operator.bc.BcContentVerifierProviderBuilder
  - - org.bouncycastle.operator.bc.BcDSAContentVerifierProviderBuilder

-     public class BcDSAContentVerifierProviderBuilder
      extends BcContentVerifierProviderBuilder

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.operator.bc.BcContentVerifierProviderBuilder

      `digestProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcDSAContentVerifierProviderBuilder(DigestAlgorithmIdentifierFinder digestAlgorithmFinder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.bouncycastle.crypto.Signer` | `createSigner(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId)` Create the correct signer for the algorithm identifier sigAlgId.
    `protected org.bouncycastle.crypto.params.AsymmetricKeyParameter` | `extractKeyParameters(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)` Extract an AsymmetricKeyParameter from the passed in SubjectPublicKeyInfo structure.

    - ### Methods inherited from class org.bouncycastle.operator.bc.BcContentVerifierProviderBuilder

      `build, build`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcDSAContentVerifierProviderBuilder

          public BcDSAContentVerifierProviderBuilder(DigestAlgorithmIdentifierFinder digestAlgorithmFinder)

  - ### Method Detail

    - #### createSigner

          protected org.bouncycastle.crypto.Signer createSigner(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId)
                                                         throws OperatorCreationException

      Description copied from class: `BcContentVerifierProviderBuilder`
      Create the correct signer for the algorithm identifier sigAlgId.
      Specified by:
        `createSigner` in class `BcContentVerifierProviderBuilder`
      Parameters:
        `sigAlgId` - the algorithm details for the signature we want to verify.
      Returns:
        a Signer object.
      Throws:
        `OperatorCreationException` - if the Signer cannot be constructed.

    - #### extractKeyParameters

          protected org.bouncycastle.crypto.params.AsymmetricKeyParameter extractKeyParameters(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)
                                                                                        throws java.io.IOException

      Description copied from class: `BcContentVerifierProviderBuilder`
      Extract an AsymmetricKeyParameter from the passed in SubjectPublicKeyInfo structure.
      Specified by:
        `extractKeyParameters` in class `BcContentVerifierProviderBuilder`
      Parameters:
        `publicKeyInfo` - a publicKeyInfo structure describing the public key required.
      Returns:
        an AsymmetricKeyParameter object containing the appropriate public key.
      Throws:
        `java.io.IOException` - if the publicKeyInfo data cannot be parsed,